- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
G::Setter Class Reference

A class to manage a boolean flag while in scope. More...

`#include <gsetter.h>`

Inheritance diagram for G::Setter:

## Public Member Functions
| Setter (bool &b)
| Constructor. Sets the flag. More...
| ~Setter ()
| Destructor. Resets the flag. More...
Public Member Functions inherited from G::noncopyable
| noncopyable ()

## Detailed Description

A class to manage a boolean flag while in scope.

Definition at line 36 of file gsetter.h.

## Constructor & Destructor Documentation

G::Setter::Setter | ( | bool & | b | ) |
| inline explicit

Constructor. Sets the flag.

Definition at line 50 of file gsetter.h.

G::Setter::~Setter | ( |  | ) |
| inline

Destructor. Resets the flag.

Definition at line 57 of file gsetter.h.

The documentation for this class was generated from the following file:

- gsetter.h